#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="4才きざみの年代別来店回数合計"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f 日付,顧客 -i $inPath/dat.xt |
${dbg}xtcut -f日付,顧客 |
${dbg}xtuniq -k日付,顧客 |
${dbg}xtjoin -k 顧客 -m$inPath/cust.xt -f生年月日 |
${dbg}xtcal -c 'down(age($日付,$生年月日),4)' -a年代 |
${dbg}xtsel -c '$年代>=10&&$年代<=90' |
${dbg}xtcut -f 年代 |
${dbg}xtcount -k 年代 -a 来店回数 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/age3.xt
#===============================================================
