#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル初級帳票編』"

#---- コメント
comment="ある商品と同時購入された商品ベスト"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtselstr -k 日付,レシート -f 小分類 -v 1101 -i $inPath/dat.xt |
${dbg}xtselstr -f 小分類 -v1101 -r |
${dbg}xtuniq -k 日付,レシート,小分類 |
${dbg}xtcut -f 小分類 |
${dbg}xtcount -k 小分類 -a 購入件数 |
${dbg}xtjoin -k 小分類 -m $inPath/jicfs4.xt -f 小分類名 |
${dbg}xtnumber -s購入件数%nr -a 順位 |
${dbg}xtbest -s購入件数%nr -R 1_20 |
${dbg}xtcut -f 順位,小分類,小分類名,購入件数 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/saibasket.xt
#===============================================================
