#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="大きなファイル同士の結合処理"

#---- コメント
comment="xtjoin"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtuniq -k 日付,時間,商品 -i $inPath/dat.xt |
${dbg}xtsort -k 商品,時間,日付 -o xxm

${dbg}xtjoin -k 日付,時間,商品 -m xxm -f レシート:レシート２,数量:数量２,金額:金額２ -i $inPath/dat.xt -o $outPath/bigjoin1.xt

rm xxm
#===============================================================
