#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="顧客別来店回数練習課題1"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f 顧客 -i$inPath/dat.xt |
${dbg}xtcut -f 顧客,日付 |
${dbg}xtuniq -k 顧客,日付 |
${dbg}xtcount -k 顧客 -a 来店回数 |
${dbg}xtbest -s 来店回数%nr -R 1_20 |
${dbg}xtnumber -a順位 |
${dbg}xtcut -f順位,顧客,来店回数 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/visit1.xt 
rm -f xx*
#===============================================================
