#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="顧客別来店回数練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f 顧客 -i$inPath/dat.xt |
${dbg}xtsubstr -f 日付:年月 -R 1_6 -A |
${dbg}xtcut -f 年月,顧客,日付 |
${dbg}xtuniq -k 年月,顧客,日付 |
${dbg}xtcount -k 年月,顧客 -a 来店回数 |
${dbg}xtcut -f 年月,顧客,来店回数 |
${dbg}xtnumber -k 年月 -s来店回数%nr -a順位 |
${dbg}xtbest -k 年月 -s来店回数%nr -R 1_5 |
${dbg}xtcut -f年月,順位,顧客,来店回数 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/visit2.xt 
rm -f xx*
#===============================================================
