#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="最終来店年月別人数練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcat -i $inPath/dat.xt |
${dbg}xtdelnul -f顧客 |
${dbg}xtcut -f 顧客,日付 |
${dbg}xtagg -k顧客 -f日付 -c max |
${dbg}xtsubstr -f 日付:最終来店年月 -R 1_6 |
${dbg}xtcut -f最終来店年月 |
${dbg}xtcount -k最終来店年月 -a人数 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/visitdate2.xt
#===============================================================
