#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtaccum"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 日付,数量,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 日付 -f数量,金額 -c sum |
${dbg}xtaccum -f数量:数量累計,金額:金額累計 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtaccum.xt
#===============================================================
