#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtaccum2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 中分類,小分類,数量,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 中分類,小分類 -f数量,金額 -c sum |
${dbg}xtaccum -k中分類 -s小分類%r -f数量:数量累計,金額:金額累計 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtaccumn2.xt
#===============================================================
