#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtagg練習課題7"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f メーカー,中分類,数量,金額 -i $inPath/dat.xt |
${dbg}xtagg -k メーカー,中分類 -f数量:数量平均,金額:金額平均 -c avg |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtagg7.xt
#===============================================================
