#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtcal"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 数量,金額 -i $inPath/dat.xt |
${dbg}xtcal -c '$金額/$数量' -a 単価 |
${dbg}xtcut -f 単価 |
${dbg}xtuniq -k 単価 |
${dbg}xtsort -k 単価%n |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtcal.xt
#===============================================================
