#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtcal練習課題1"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 日付,数量,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 日付 -f数量,金額 -c avg |
${dbg}xtcal -c 'down($数量,1)' -a 数量平均 |
${dbg}xtcal -c 'down($金額,1)' -a 金額平均 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtcal1.xt
#===============================================================
