#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtjoin練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 細分類,数量,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 細分類 -f数量,金額 -c sum |
${dbg}xtjoin -k 細分類 -m $inPath/jicfs6.xt -f 細分類名 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtjoin2.xt
#===============================================================
