#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtsel練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 日付,時間,数量,金額 -i $inPath/dat.xt |
${dbg}xtsel -c'$時間>170000&&($金額/$数量)<100' |
${dbg}xtagg -k日付 -f数量:数量合計,金額:金額合計 -c sum |
${dbg}xtcut -f 日付,数量合計,金額合計 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtsel2.xt
#===============================================================
