#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtshare練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 中分類,メーカー,数量,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 中分類,メーカー -f数量,金額 -c sum |
${dbg}xtshare -k中分類 -f数量:数量シェア,金額:金額シェア |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtshare2.xt
#===============================================================
