#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="練習課題4年代別粗利率"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f日付,顧客 -i $inPath/dat.xt |
${dbg}xtcut -f 日付,顧客,金額,粗利金額 |
${dbg}xtagg -k日付,顧客 -f金額,粗利金額 -c sum |
${dbg}xtjoin -k顧客 -m$inPath/cust.xt -f生年月日 |
${dbg}xtcal -c 'down(age($日付,$生年月日),4)' -a年代 |
${dbg}xtsel -c '$年代>=10 && $年代<=90' |
${dbg}xtcut -f 年代,金額,粗利金額 |
${dbg}xtagg -k 年代 -f 金額,粗利金額 -c sum |
${dbg}xtcal -c '($粗利金額/$金額)*100' -a粗利率 |
${dbg}xtcut -f 年代,粗利率 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/age4.xt
#===============================================================
