#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル初級帳票編』"

#---- コメント
comment="細分類商品売上ベスト20"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 細分類,数量 -i $inPath/dat.xt |
${dbg}xtagg -k 細分類 -f数量 -c sum |
${dbg}xtjoin -k 細分類 -m $inPath/jicfs6.xt -f 細分類名 |
${dbg}xtnumber -s数量%nr -a 順位 |
${dbg}xtbest -s数量%nr -R 1_20 |
${dbg}xtcut -f 順位,細分類,細分類名,数量 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/best.xt
#===============================================================
