#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル初級帳票編』"

#---- コメント
comment="細分類商品売上ベスト20練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f メーカー,数量 -i $inPath/dat.xt |
${dbg}xtagg -k メーカー -f数量 -c sum |
${dbg}xtnumber -s数量%nr -a 順位 |
${dbg}xtbest -s数量%nr -R 1_20 |
${dbg}xtcut -f 順位,メーカー,数量 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/best2.xt
#===============================================================
