#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル初級帳票編』"

#---- コメント
comment="細分類商品売上ベスト20練習課題4"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 細分類,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 細分類 -f金額 -c sum |
${dbg}xtjoin -k 細分類 -m $inPath/jicfs6.xt -f 細分類名 |
${dbg}xtnumber -s金額%nr -a 順位 |
${dbg}xtbest -s金額%nr -R 20_30 |
${dbg}xtcut -f 順位,細分類,細分類名,金額 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/best4.xt
#===============================================================
