#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="顧客別粗利率"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f顧客 -i $inPath/dat.xt |
${dbg}xtcut -f 顧客,金額,粗利金額 |
${dbg}xtagg -k顧客 -f金額,粗利金額 -c sum |
${dbg}xtcal -c 'round((($粗利金額/$金額)*100),0.1)' -a粗利率 |
${dbg}xtcut -f 顧客,粗利率 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/profit.xt
#===============================================================
