#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="顧客別来店回数"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtdelnul -f 顧客 -i$inPath/dat.xt |
${dbg}xtcut -f 顧客,日付 |
${dbg}xtuniq -k 顧客,日付 |
${dbg}xtcount -k 顧客 -a 来店回数 |
${dbg}xtcut -f顧客,来店回数 -o xxa 

${dbg}xtdelnul -f顧客 -i$inPath/dat.xt |
${dbg}xtcut -f 顧客,日付,レシート |
${dbg}xtuniq -k 顧客,日付,レシート |
${dbg}xtcount -k 顧客 -a 来店回数2 |
${dbg}xtjoin -k 顧客 -m xxa -f来店回数 |
${dbg}xtcut -f 顧客,来店回数,来店回数2 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/visit.xt

rm -f xx*
#===============================================================
