#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtcal練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcal -c 'down($金額*1.05,1)' -a 税込金額 -i $inPath/dat.xt |
${dbg}xtcut -f 日付,税込金額  |
${dbg}xtagg -k 日付 -f 税込金額 -c sum |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtcal2.xt
#===============================================================
