#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtcalday"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 日付 -i $inPath/dat.xt |
${dbg}xtuniq -k 日付 |
${dbg}xtcal -c 'day("20020601",$日付)' -a 日数 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtcalday.xt
#===============================================================
