#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtcat練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcat -i $inPath/'dat20020[135].xt.gz' |
${dbg}xtcut -f 日付,数量,金額 |
${dbg}xtagg -k 日付 -f数量:数量合計,金額:金額合計 -c sum |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtcat2.xt
#===============================================================
