#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtjoin"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 小分類,数量,金額 -i $inPath/dat.xt |
${dbg}xtagg -k 小分類 -f数量,金額 -c sum |
${dbg}xtjoin -k 小分類 -m $inPath/jicfs4.xt -f 小分類名 |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtjoin.xt
#===============================================================
