#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtsel練習課題4"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtsel -c '$メーカー==0001||$メーカー==0002' -i $inPath/dat.xt |
${dbg}xtcut -f 日付,数量,金額 |
${dbg}xtagg -k日付 -f数量:数量合計,金額:金額合計 -c sum |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtsel4.xt
#===============================================================
