#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtselstr練習課題2"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtselstr -f 小分類 -v1101,1111,1116,1401,1403,1406 -i $inPath/dat.xt |
${dbg}xtcut -f 小分類,数量,金額 |
${dbg}xtagg -k 小分類 -f数量:数量合計,金額:金額合計 -c sum |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtselstr2.xt
#===============================================================
