#!/usr/bin/env bash
#===============================================================
# MUSASHI bash script
#===============================================================

#---- タイトル
title="『チュートリアル』"

#---- コメント
comment="xtsubstr練習課題1"

#---- 各種変数(適宜修正すること)
inPath="../indat"
outPath="../outdat"

. ./debugEnv.sh

#---------------------------------------------------------------
# コマンド
#---------------------------------------------------------------
${dbg}xtcut -f 日付,数量,金額 -i $inPath/dat.xt |
${dbg}xtsubstr -f 日付:年月 -R5_6 |
${dbg}xtagg -k 年月 -f数量:数量合計,金額:金額合計 -c sum |
${dbg}xtheader -l "$title" -c "$comment" -o $outPath/xtsubstr1.xt
#===============================================================
